LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 07-13-2018, 04:20 PM   #1
Lysander666
Member
 
Registered: Apr 2017
Location: London
Distribution: Debian, Slackware
Posts: 410

Rep: Reputation: 249Reputation: 249Reputation: 249
Blacklisting zlib after multilib update?


After my successful install of multilib I noticed that slackpkg wanted to update a lot of the gcc libs so I blacklisted the following:

gcc
gcc-g++
gcc-gfortran
gcc-gnat
gcc-java
gcc-objc
glibc
glibc-i18n
glibc-profile
glibc-solibs
glibc-zoneinfo

However, it wants to update zlib as well. Is this OK to do or should I blacklist that as well? I noticed in the documentation that Alien Bob said this might happen, but I'm not sure whether to blacklist it or not.
 
Old 07-13-2018, 06:55 PM   #2
BradReed
Member
 
Registered: Apr 2015
Location: Earth
Distribution: Slackware-current
Posts: 53

Rep: Reputation: 16
You can install both the 64bit and compat32 version of zlib.
You can also unblacklist glibc-zoneinfo. It is noarch.
 
Old 07-13-2018, 08:25 PM   #3
chrisretusn
Member
 
Registered: Dec 2005
Location: Philippines
Distribution: Slackware
Posts: 752

Rep: Reputation: 250Reputation: 250Reputation: 250
You could also add:

# Multilib
[0-9]+alien
[0-9]+compat32
 
Old 07-13-2018, 09:22 PM   #4
montagdude
Member
 
Registered: Apr 2016
Distribution: Slackware
Posts: 995

Rep: Reputation: 716Reputation: 716Reputation: 716Reputation: 716Reputation: 716Reputation: 716Reputation: 716
Well, zlib was just upgraded in -stable on July 12. It's not multilib, so you want to upgrade it. I expect Alien Bob will be upgrading his -compat32 version of it as well soon enough.
 
Old 07-13-2018, 09:32 PM   #5
RadicalDreamer
Member
 
Registered: Jul 2016
Location: USA
Distribution: Slackware64-Current
Posts: 734

Rep: Reputation: 320Reputation: 320Reputation: 320Reputation: 320
You could use slackpkg+ to maintain multilib.
 
Old 07-14-2018, 06:24 AM   #6
kjhambrick
Senior Member
 
Registered: Jul 2005
Location: Round Rock, TX
Distribution: Slackware64 14.2 + Multilib
Posts: 1,339

Rep: Reputation: 724Reputation: 724Reputation: 724Reputation: 724Reputation: 724Reputation: 724Reputation: 724
Lysander666

I still use the good-ole installpkg, upgradepkg, removepkg scripts and I've never tried slackpkg, etc for precisely this reason.

Anyhow, I use Alien Bob's massconvert32.sh with every Official Slackware update.

The script does require a local mirror of the Slackware 32-bit Repo but this way, I can stay up-to-date and never 'lose' a compat32 package due to the unavoidable lag between the Official Slackware Update and Alien Bob's release of the new compat32 packages.

Not sure how-or-if one would-or-could set up a local repo for the compat32 Packages for slackpkg ...

But if you could point slackpkg at your local repo, this method has worked for me with `upgradepkg --install-new` since the 13.37 days when I first went Multilib on Slackware64 ...

FFT, YMMV, HTH ...

-- kjh( FFT - Food For Thought )

These are my config and wrapper script files for `massconvert32.sh` and for `upgradepkg --install-new` on the compat32 Packages.

The odd .names are so I can `rm -rf *` in the TopDir and leave my scripts and config intact ...

#
# file: .do-masscvt-fun.sh
# what: sets environment varbs for .do-massconvert.sh and .do-update.sh
#
Code:
TopDir="/home/dld/multilib"                                  ### EDIT ME ### ( where you downloaded Alien Bob's MultiLib )
TarDir="$TopDir/kjh-build"                                   ### EDIT ME ### ( where to build YOUR compat32 Packages )
LogDir="$TopDir/log"                                         ### EDIT ME ### ( where the LogFiles go
SrcDir="/home/dld/slackware/slackware-14.2-32/slackware"     ### EDIT ME ### ( where is your Local Mirror of the Slackware 32 Packages )

KJHDate ()
{
   # Returns XYMMDD [ -HHMMSS ] for `now` where X is the decade after 1900
   # 
   # example:  1900-01-01 -> 010101 ; 2000-01-01 -> A00101 ; 2010-01-01 -> B00101
   # 
   DoSec=0

   if [ $# -gt 0 ]
   then
      if [ "$1" = "-s" ]
      then
         DoSec=1
         shift
      fi
   fi

   gawk '
   BEGIN {
   
      DoSec = "'"$DoSec"'" +0

      for ( i = 0 ; i <= 9 ; i ++ )
      {
         DecAry [i] = sprintf( "%01d", i )
      }
      DecAry [10] = "A"
      DecAry [11] = "B" 
      DecAry [12] = "C" 
      DecAry [13] = "D" 
      DecAry [14] = "E" 
      DecAry [15] = "F" 

      Date = strftime( "%Y%m%d%H%M%S" )

      print FixDate( Date )
      exit 0
   }
   function FixDate( InDate,     D, Y, MD, HMS )
   {
      D  = substr( InDate, 1, 3 ) - 190   # Decade
      Y  = substr( InDate, 4, 1 )         # Year
      MD = substr( InDate, 5, 4 )         # Month & Day

      if ( DoSec != 1 )
      {
         return( sprintf( "%1.1s%1.1s%4.4s", DecAry [D],Y,MD ))
      }
      HMS = substr( InDate, 9 )           # HourMinSec

      return( sprintf( "%1.1s%1.1s%4.4s-%s", DecAry [D],Y,MD,HMS ))
   }'
   return $?
}
#
# file: .do-massconvert.sh
# what: invokes massconvert.sh on my local Slackware32 mirror
#
Code:
#!/bin/sh

RetCode=0
Rebuild=0
PrgNam="`basename $0`"
DirNam="`dirname  $0`" ; [ "$DirNam" = "." ] && DirNam="`pwd`"

if [ $# -gt 0 ]
then

   [ "$1" = "r" -o "$1" = "R" ] && Rebuild=1 && shift

fi

. $DirNam/.do-masscvt-fun.sh

LogTmp="$(KJHDate -s)-do-massconvert.log"

cd "$TarDir" ; RetCode=$?

[ "$RetCode" != "0" ] && echo "cannot cd into $TarDir ( make it yourself )"  >&2 && exit 1
[ ! -d "$SrcDir" ]    && echo "cannot find the slackware32 mirror:  $SrcDir" >&2 && exit 2

if [ ! -d "$LogDir" ]
then

   mkdir "$LogDir" 
   RetCode=$?

   [ "$RetCode" != "0" ] && echo "cannot mkdir $LogDir" >&2 && exit 3
   
fi

LogNam="$LogDir/$LogTmp"

echo "$PrgNam startup  at `date`" > $LogNam

if [ "$Rebuild" = "1" ]
then

   echo "clearing all old packages" >> $LogNam

   for Dir in `find . -maxdepth 1 -type d -name "*-compat32"`
   do
   
      [ "$Dir" = "." -o "$Dir" = ".." ] && continue  # should not happen !
   
      if [ -d "$Dir" ]
      then
         echo "clean $Dir" >> $LogNam
         rm -rf "$Dir"
      fi

   done

fi

massconvert32.sh -i $SrcDir 2>&1 |tee -a $LogNam

grep 'Package created:' $LogNam 2>/dev/null
RetCode=$?

[ "$RetCode" != "0" ] && echo "nothing new was generated" 

echo "$PrgNam complete at `date`" >> $LogNam
#
# file: .do-update.sh
# what: invokes upgradepkg --install-new on my local compat32 repo
#
Code:
#!/bin/sh

RetCode=0
Rebuild=0
PrgNam="`basename $0`"
DirNam="`dirname  $0`" ; [ "$DirNam" = "." ] && DirNam="`pwd`"

[ "$LOGNAME" != "root" ] && echo "please log in as root"  >&2 && exit 1

. $DirNam/.do-masscvt-fun.sh

[ ! -d "$SrcDir" ]       && echo "wtPHq is \"$SrcDir\" ?" >&2 && exit 2

LogTmp="$(KJHDate -s)-do-massupdate.log"
LogNam="$LogDir/$LogTmp"

echo "$PrgNam startup  at `date`"                         > $LogNam

cd "$SrcDir" 2>&1                                   |tee -a $LogNam

upgradepkg --install-new *-compat32/*.t?z 2>&1      |tee -a $LogNam
RetCode=${PIPESTATUS[0]}

echo "$PrgNam complete at `date` ... RetCode = $RetCode" >> $LogNam
exit $RetCode

Last edited by kjhambrick; 07-14-2018 at 06:31 AM. Reason: cut-n-paste error ; document TopDir, etc
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Slackware update destroyed my multilib. wolfslacker Slackware 6 03-03-2017 11:07 PM
multilib install/update script clod89 Slackware 3 03-30-2013 09:11 AM
[SOLVED] Multilib does not work after kernel update David93 Slackware 6 07-13-2011 07:35 PM
Blacklisting gcc/glibc with slackpkg in multilib-current damgar Slackware 1 01-04-2010 11:15 PM
no matching comp found: client zlib none, zlib@openssh.com lost connection jorge_ivan Linux - Networking 0 08-14-2006 07:09 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 09:22 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration